WordPress.org

Ready to get started?Download WordPress

Forums

Google CSE
[resolved] Error after entering Google API and cx (11 posts)

  1. Martel7
    Member
    Posted 1 year ago #

    I get the following error after I enter Google API and cx in plugin settings:

    Cannot use object of type WP_Error as array in \wordpress\wp-content\plugins\google-cse\google-cse.php on line 84

    http://wordpress.org/extend/plugins/google-cse/

  2. matthewo256
    Member
    Posted 1 year ago #

    Please send a screenshot of the form you submitted before you got the error.

  3. ptz0n
    Member
    Plugin Author

    Posted 1 year ago #

    @Martel7 Thx for the report. I will look into it right away. Please make sure that your server can access http://www.googleapis.com.

  4. ptz0n
    Member
    Plugin Author

    Posted 1 year ago #

    I was able to recreate the error explained above and added output of WP_Error messages.

    Please try out the new version of google-cse.php:
    https://raw.github.com/ptz0n/wordpress-google-cse/master/google-cse.php

  5. Martel7
    Member
    Posted 1 year ago #

    Thank you, ptz0n, for a quick reply. Will try the new file.

  6. Martel7
    Member
    Posted 1 year ago #

    This time right after a clean install I got this Notice in the plugin settings:

    Undefined variable: error in [...]\plugins\google-cse\admin.php on line 66

    After I entered the data, I received the flollowing lines:

    Notice: Undefined index: posts_per_page in [...]\google-cse.php on line 61
    
    Notice: Undefined index: posts_per_page in [...]\google-cse.php on line 62
    
    Notice: Undefined index: paged in[...]\google-cse.php on line 63
    
    Fatal error: Cannot use object of type WP_Error as array in [...]\google-cse.php on line 84
  7. Martel7
    Member
    Posted 1 year ago #

    Oops, forgot to replace the file. :)

    What I get with the new one is the 3 notices as above and a red box saying:

    ERROR: SSL certificate problem, verify that the CA cert is OK. Details: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed

  8. Martel7
    Member
    Posted 1 year ago #

    When accessing the http://www.googleapis.com/, I get a page saying 'Not Found'.

  9. ptz0n
    Member
    Plugin Author

    Posted 1 year ago #

    Thank's again for the great report. Let's try again :)

    The new version of google-cse.php:
    https://raw.github.com/ptz0n/wordpress-google-cse/master/google-cse.php

    PS. What's your name? I'm happy to give you public credit! DS.

  10. Martel7
    Member
    Posted 1 year ago #

    Thanks, it's working now. :P

  11. ptz0n
    Member
    Plugin Author

    Posted 1 year ago #

    Perfect, just released 1.0.2 into the wild. Issue resolved.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.